Subject: Re: What's cooking in git.git (Mar 2019, #01; Wed, 6)

From: Denton Liu <[email-masked]>
Date: Tue, 5 Mar 2019 17:41:43 -0800

On Wed, Mar 06, 2019 at 10:34:18AM +0900, Junio C Hamano wrote:
> * dl/merge-cleanup-scissors-fix (2019-01-27) 4 commits
>   (merged to 'next' on 2019-02-06 at f4fe5d759a)
>  + merge: add scissors line on merge conflict
>  + merge: cleanup messages like commit
>  + t7600: clean up 'merge --squash c3 with c7' test
>  + commit: extract cleanup_mode functions to sequencer
> 
>  The list of conflicted paths shown in the editor while concluding a
>  conflicted merge was shown above the scissors line when the
>  clean-up mode is set to "scissors", even though it was commented
>  out just like the list of updated paths and other information to
>  help the user explain the merge better.
> 
>  Will merge to 'master'.

I just noticed I missed some stuff with this change today. If a conflict
happens when we're doing git revert, then the cut line ends up below the
list of conflicts.

It's safe to merge to master but it'd probably be better if we keep
cooking in next until I can get the fixup patches out.